Package Details: rutorrent-git 4.0.beta.1.r162.ga8611597-1

Git Clone URL: https://aur.archlinux.org/rutorrent-git.git (read-only, click to copy)
Package Base: rutorrent-git
Description: Web frontend to rTorrent in PHP designed to resemble uTorrent
Upstream URL: https://github.com/Novik/ruTorrent
Keywords: rtorrent torrent webui
Licenses: GPL
Conflicts: rutorrent, rutorrent-plugins
Provides: rutorrent, rutorrent-plugins
Submitter: skydrome
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 27
Popularity: 0.000000
First Submitted: 2014-09-04 00:02 (UTC)
Last Updated: 2022-03-17 12:25 (UTC)

Required by (1)

Sources (1)

Latest Comments

pizzaman commented on 2022-03-08 00:10 (UTC)

@grawlinson Reverted to vanilla

tuxayo commented on 2020-05-15 16:57 (UTC)

Saluton, hola, bonjour, hi! :)

@hv15 @pizzaman Thanks for the info can't retry for now I hope at some point I'll be able to.

grawlinson commented on 2020-04-20 22:23 (UTC)

Can this please be reverted to a vanilla -git package, and have the additions available as optdepends?

hv15 commented on 2020-03-31 14:05 (UTC)

@tuzayo I have 0.9.8-1 rutorrent, and r2536.d9026887-1 rutorrent-git. I looks like I'm a bit behind. I'll update later today.

pizzaman commented on 2020-03-31 13:10 (UTC)

@tuxayo rtorrent 0.9.8-1 rutorrent-git r2617.1f15836b-1

tuxayo commented on 2020-03-31 12:58 (UTC) (edited on 2020-03-31 12:59 (UTC) by tuxayo)

@hv15 Thanks, that gives hope :)

The UI says

Bad response from server: (500 [error,list]) Warning: XMLRPC call is failed.

RPC calls get to rtorrent but it results in

Method 'd.multicall' not defined

Which versions of rtorrent and rutorrent do you have?

I have rtorrent 0.9.7-2

And latest rutorrent-git

pizzaman commented on 2020-03-31 12:31 (UTC)

@hv15 Fixed the .htaccess problem. I will tackle permission later.

hv15 commented on 2020-03-31 12:22 (UTC) (edited on 2020-03-31 12:25 (UTC) by hv15)

@tuxayo works for me, what problem are you experiencing?

tuxayo commented on 2020-03-31 12:20 (UTC)

Can someone confirm that this package still works?

I'm not sure if it's rtorrent that isn't compatible anymore or if it's my Nginx setup that broke for some reason.

hv15 commented on 2019-12-22 14:04 (UTC)

@pizzaman I'm getting the following when upgrading:

(252/267) upgrading rutorrent-git                                                                                         [#########################################################################] 100%
warning: directory permissions differ on /usr/share/webapps/rutorrent/conf/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/settings/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/torrents/
filesystem: 777  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/users/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/tmp/
filesystem: 777  package: 755
chmod: cannot access '.htaccess': No such file or directory
error: command failed to execute correctly

Why do you perform chmod in the install script? As far as I can understand, all directories/files a present in the package, can't you set the permissions during packaging?

pizzaman commented on 2019-04-07 20:50 (UTC)

@webslave Added as optdepends

webslave commented on 2019-04-07 19:02 (UTC)

After the last update there is a new cloudflare plugin which requires the installation of python-cfscrape

Can we add that to the dependencies by chance.

Superpiffer commented on 2019-01-24 14:22 (UTC)

@pizzaman: On my system I have an user "pi" for rutorrent and I have this line on .rtorrent.rc:

execute2 = {sh,-c,/usr/bin/php /usr/share/webapps/rutorrent/php/initplugins.php pi &}

but I had the usual errors "rTorrent user can't access external program".

For now I solved with: chmod 755 {conf,share/{users,settings}} and I think that there's no need to set 750 on those folders in .install file.

pizzaman commented on 2018-12-12 11:35 (UTC)

@tuxayo Tested on clean install and pacakge files have correct ownership. (http:http)

tuxayo commented on 2018-11-27 09:00 (UTC)

Hi, at each update, I have to "chown -R http:torrent /usr/share/webapps/rutorrent"

To fix errors like "can't access program php, etc"

I don't know if my fix is clean. But are the user and group of the package files okay? Maybe It's my install, but it was with the package. So I don't know what causes these issues.

tuxayo commented on 2017-08-12 22:34 (UTC)

Does anyone else get permission issue that break some functions? @skydrome what are your rtorrent and webserver/php users?

tuxayo commented on 2017-05-26 01:41 (UTC)

There is an error when editing config file in the PKGBUILD: https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=rutorrent-git#n63 tempDirectory Ends up without a trailing slash. But it needs a trailing slash: https://github.com/Novik/ruTorrent/blob/master/conf/config.php#L60 Which broke the trafic plugin for me. Because it expects the tmp dir to have trailing slash: https://github.com/Novik/ruTorrent/blob/3b15b5df9e52a60e73f68d9fb6139dcc948ae0d6/plugins/trafic/update.php#L37 Same error for topDirectory

ArteS commented on 2016-10-09 01:32 (UTC)

add a dependency - plowshare

ice9 commented on 2015-03-11 15:06 (UTC)

Nice. Thank you!

skydrome commented on 2015-03-11 05:35 (UTC)

It now shows git commit hash, rev count, and date

ice9 commented on 2015-03-09 20:36 (UTC)

Is there any way to determine the rutorrent release build date or other identifying information from a running rutorrent page? CTRL-F1 only seems to show version 3.6, which is not very informative.

chenxiaolong commented on 2015-03-04 01:26 (UTC)

skydrome: Would you mind adding 'subversion' to makedepends? Many of the sources are still svn repos.

skydrome commented on 2015-03-02 13:28 (UTC)

tbh, there is no real release schedule, just constant fixes and then randomly deciding to tag it with a version number. Using this is your best option. The only issues you will potentially run into are incompatibilities with old plugins.

ice9 commented on 2015-03-01 19:27 (UTC)

How is the stability of the development version? Ordinarily I'd stick with the latest release version, but 3.6 is from October 2013 and I see a heck of a lot of commits to github since then.

justinkb commented on 2014-08-07 20:39 (UTC)

the config.php sed needs a fix... it erases the final semi-colon in the $tempDirectory assignment, making the php parser error out.

mynis01 commented on 2013-07-21 18:00 (UTC)

Also please add wget as a dependancy.

Achterin commented on 2013-02-06 21:08 (UTC)

please add git as build dependency

sunite commented on 2012-12-20 09:30 (UTC)

I think "https://svn.rutorrent.org/svn/spectrogram/trunk" should be "http://svn.rutorrent.org/svn/spectrogram/trunk", otherwise I keep getting certificate errors.

billybigrigger commented on 2012-10-17 14:57 (UTC)

i did a fresh install on my fileserver today, btw I hate systemd...anyway i get this now JS error: [http://localhost/rtorrent/js/content.js : 586] Uncaught exception: TypeError: Cannot convert 'theWebUI.systemInfo.rTorrent' to object im billybigrigger on #archlinux if anyone can help...also when will rtorrent get a systemd target?

billybigrigger commented on 2012-10-15 18:14 (UTC)

negative, i ran packer -Syu, checked the local logs anyway, this line shows up every minute 127.0.0.1 - - [15/Oct/2012:08:31:00 -0600] "GET //server-status?auto HTTP/1.1" 404 10001

billybigrigger commented on 2012-10-15 17:20 (UTC)

negative, i ran packer -Syu, checked the local logs anyway, this line shows up every minute 127.0.0.1 - - [15/Oct/2012:08:31:00 -0600] "GET //server-status?auto HTTP/1.1" 404 10001

skydrome commented on 2012-10-15 05:12 (UTC)

was php or your webserver updated too? check your webservers error/access log

billybigrigger commented on 2012-10-15 04:02 (UTC)

the webui is broken after a packer -Syu and now it just gives me a dir listing instead of the web ui...any suggestions?

billybigrigger commented on 2012-10-15 04:01 (UTC)

the webui is broken after a packer -Syu and now it just gives me a dir listing instead of the web ui...any suggestions?

skydrome commented on 2012-07-28 02:51 (UTC)

you can now opt in to install some other 3rd party plugins

kalio commented on 2012-06-03 23:49 (UTC)

This package installs .svn directories. Adding the following line will fix the problem: rm -rf ${pkgdir}/${_web}/rutorrent/${_svnmod}/.svn

kalio commented on 2012-06-03 23:45 (UTC)

This package installs .svn directories. Adding the following line will fix the problem: rm -rf ${pkgdir}/${_web}/${_svnmod}/.svn

skydrome commented on 2012-03-09 04:00 (UTC)

ok i removed that from rutorrent-svn

m45t3r commented on 2012-03-09 03:39 (UTC)

This package is incompatible with rtorrent-svn, since both provides httprpc plugin. Since you're providing httprpc to better connect rtorrent with rutorrent, it would be better to remove httprpc from here.

oOze commented on 2012-02-24 21:37 (UTC)

error: rm: cannot remove `rutorrent/plugins/.svn': No such file or directory commented: rm -r ${_svnmod}/plugins/.svn

skydrome commented on 2011-10-26 22:09 (UTC)

ive classified the plugins myself depending on their usefulness. Just enabling all of them slows down rutorrent considerably. You can load and unload plugins by editing rutorrent/conf/plugins.ini You may also need to explicitly enable some php modules in /etc/php/php.ini for some plugins to load.

skydrome commented on 2011-10-26 22:06 (UTC)

updated to latest svn and added the pkg: rutorrent-plugins-svn this package will also download the httprpc plugin to enable an easier way of communication to rtorrent. This is also more secure than using apache's xml-rpc module. Note you still need to match the ip:port settings in your .rtorrent.rc conf to rutorrent's config.php. The only thing uneeded now is any fiddling with the webserver.

commented on 2011-10-25 06:21 (UTC)

I would be very grateful if someone would update this. Sure I could install manually....but wow isn't the AUR convenient, and I find myself reinstalling my systems pretty often (i dont like changing window managers/desktop environments without a format...im sure some crud is left behind).

commented on 2010-03-25 08:35 (UTC)

This should be in /srv/http/rutorrent now, as it was changed in other packages. Also, it should provide rutorrent, and should depend on rtorrent, not rtorrent-svn (which provides rtorrent)